<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2006 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";
include LOCALE.LOCALESET."forum/main.php";

if (!isset($lastvisited) || !isNum($lastvisited)) $lastvisited = time();
include INFUSIONS."forum_threads_list_panel/forum_threads_list_panel.php";

tablebreak();

opentable($locale['400']);
echo "<table cellpadding='0' cellspacing='0' width='100%' class='tbl-border'>
<tr>
<td>
<table border='0' cellpadding='0' cellspacing='1' width='100%'>
<tr>
<td colspan='2' class='tbl2'>".$locale['401']."</td>
<td align='center' width='50' class='tbl2'>".$locale['402']."</td>
<td align='center' width='50' class='tbl2'>".$locale['403']."</td>
<td width='120' class='tbl2'>".$locale['404']."</td>
</tr>\n";

$forum_list = ""; $current_cat = "";
$result = dbquery(
	"SELECT f.*, COUNT(t.thread_id) AS thread_count, MAX(t.thread_lastpost) AS last_post, f2.forum_name AS forum_cat_name, u.user_id, u.user_name FROM ".$db_prefix."forums f
	LEFT JOIN ".$db_prefix."threads t USING(forum_id)
	LEFT JOIN ".$db_prefix."forums f2 ON f.forum_cat = f2.forum_id
	LEFT JOIN ".$db_prefix."users u ON f.forum_lastuser = u.user_id
	WHERE ".groupaccess('f.forum_access')." AND f.forum_cat!='0' AND f.forum_sub='' GROUP BY forum_id ORDER BY f2.forum_order ASC, f.forum_order ASC"
);
if (dbrows($result) != 0) {
	while ($data = dbarray($result)) {
		if ($data['forum_cat_name'] != $current_cat) {
			$current_cat = $data['forum_cat_name'];
			echo "<tr>\n<td colspan='5' class='forum-caption'>".$data['forum_cat_name']."</td>\n</tr>\n";
		}
		$moderators = "";
		if ($data['forum_moderators']) {
			$res = "user_id='".str_replace(".", "' OR user_id='", $data['forum_moderators'])."'";
			$result2 = dbquery("SELECT user_id,user_name FROM ".$db_prefix."users WHERE (".$res.")");
			while ($data2 = dbarray($result2)) {
				if ($moderators) $moderators .= ", ";
				$moderators .= "<a href='".BASEDIR."profile.php?lookup=".$data2['user_id']."'>".$data2['user_name']."</a>";
			}
		}
		/*if ($data['last_post'] > $lastvisited) {
			$fim = "<img src='".THEME."forum/foldernew.gif' alt='".$locale['560']."'>";
		} else {
			$fim = "<img src='".THEME."forum/folder.gif' alt='".$locale['561']."'>";
		}*/
		$fim = "<img src='".IMAGES."icons/";
if($data['forum_icon']){
$fim .= $data['forum_icon'];
} else {
$fim .= "folder.png";
}
$fim .= "' alt=''>";
		echo "<tr>
<td align='center' class='tbl2' width='16px'>$fim</td>
<td class='tbl1'><b><a href='viewforum.php?forum_id=".$data['forum_id']."'>".$data['forum_name']."</a></b>";

echo "<span class='small'>".($data['forum_description'] !== "" ? "<br>".$data['forum_description'] : "");
if($moderators){
echo "<br>\n".$locale['411'].$moderators;
}
$sub = dbquery("SELECT * FROM ".DB_PREFIX."forums WHERE forum_sub='".$data['forum_id']."'");
if(dbrows($sub)){
echo "<br><b>Subforums: ";
$i = dbrows($sub);
while($subd = dbarray($sub)){
echo "<a href='viewforum.php?forum_id=".$subd['forum_id']."'>".$subd['forum_name']."</a>";
$i--;
if($i) echo ", ";
}
}
echo "</b></span></td>\n
<td align='center' class='tbl2'>".$data['thread_count']."</td>
<td align='center' class='tbl1'>".dbcount("(post_id)", "posts", "forum_id='".$data['forum_id']."'")."</td>
<td class='tbl2'>";
		if ($data['forum_lastpost'] == 0) {
			echo $locale['405']."</td>\n</tr>\n";
		} else {
			echo showdate("forumdate", $data['forum_lastpost'])."<br>
<span class='small'>".$locale['406']."<a href='".BASEDIR."profile.php?lookup=".$data['forum_lastuser']."'>".$data['user_name']."</a></span></td>
</tr>\n";
		}
	}
} else {
	echo "<tr>\n<td colspan='5' class='tbl1'>".$locale['407']."</td>\n</tr>\n";
}
echo "</table>
</td>
</tr>
</table>
<table cellpadding='0' cellspacing='0' width='100%'>
<tr>
<td class='forum'><br>
<img src='".THEME."forum/foldernew.gif' alt='".$locale['560']."' style='vertical-align:middle;'> - ".$locale['409']."<br>
<img src='".THEME."forum/folder.gif' alt='".$locale['561']."' style='vertical-align:middle;'> - ".$locale['410']."
</td><td align='right' valign='bottom' class='forum'>
<form name='searchform' method='post' action='".BASEDIR."search.php?stype=f'>
<input type='text' name='stext' class='textbox' style='width:150px'>
<input type='submit' name='search' value='".$locale['550']."' class='button'>
</form>
</td>
</tr>
</table>\n";
closetable();
if(!iMEMBER){
echo "<div align='right'>";
echo "<form name='loginform' method='post' action='".FUSION_SELF."'><b>
".$locale['061']."</b>
<input type='text' name='user_name' class='textbox' style='width:100px'> <b>
".$locale['062']."</b>
<input type='password' name='user_pass' class='textbox' style='width:100px'> 
<input type='submit' name='login' value='Login' class='button'>
</form>";
echo "</div>";
}
// Board Statistics
tablebreak();
opentable("Board Statistics");
echo "<table width='100%' class='tbl-border'><tr><td class='tbl2'>Users Online</td></tr><tr><td class='tbl1'>";
echo "<table><tr><td class='tbl2'><img src='".IMAGES."icons/group.png'></td><td class='tbl1'>";
$cond = ($userdata['user_level'] != 0 ? "'".$userdata['user_id']."'" : "'0' AND online_ip='".USER_IP."'");
	$result = dbquery("SELECT * FROM ".$db_prefix."online WHERE online_user=".$cond."");
	if (dbrows($result) != 0) {
		$result = dbquery("UPDATE ".$db_prefix."online SET online_lastactive='".time()."' WHERE online_user=".$cond."");
	} else {
		$name = ($userdata['user_level'] != 0 ? $userdata['user_id'] : "0");
		$result = dbquery("INSERT INTO ".$db_prefix."online (online_user, online_ip, online_lastactive) VALUES ('$name', '".USER_IP."', '".time()."')");
	}
	$result = dbquery("DELETE FROM ".$db_prefix."online WHERE online_lastactive<".(time()-60)."");
	//openside($locale['010']);
	$result = dbquery(
		"SELECT ton.*, tu.user_id,user_name FROM ".$db_prefix."online ton
		LEFT JOIN ".$db_prefix."users tu ON ton.online_user=tu.user_id"
	);
	$guests = 0; $members = array();
	while ($data = dbarray($result)) {
		if ($data['online_user'] == "0") {
			$guests++;
		} else {
			array_push($members, array($data['user_id'], $data['user_name']));
		}
	}
	echo $guests." guest(s), ".count($members)." member(s)<br>\n";
	if (count($members) > 0) {
		$i = 1;
		while (list($key, $member) = each($members)) {
			echo "<a href='".BASEDIR."profile.php?lookup=".$member[0]."' class='side'>".$member[1]."</a>";
			if ($i != count($members)) echo ", ";
			$i++;
		}
		echo "<br>\n";
	} else {
		echo $locale['013']."<br>\n";
	}
	//echo "<br><img src='".THEME."images/bullet.gif' alt=''> ".$locale['014'].number_format(dbcount("(user_id)", "users", "user_status<='1'"))."<br>\n";
	//if ($settings['admin_activation'] == "1") echo "<img src='".THEME."images/bullet.gif' alt=''> ".$locale['015'].dbcount("(user_id)", "users", "user_status='2'")."<br>\n";
	$data = dbarray(dbquery("SELECT user_id,user_name FROM ".$db_prefix."users WHERE user_status='0' ORDER BY user_joined DESC LIMIT 0,1"));
	//echo "<img src='".THEME."images/bullet.gif' alt=''> ".$locale['016']."<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."' class='side'>".$data['user_name']."</a>\n";
	echo "</td></tr></table>";
echo "</td></tr><tr><td class='tbl2'>Today's Birthdays</td></tr><tr><td class='tbl1'>";
echo "<table><tr><td class='tbl2'><img src='".IMAGES."icons/calendar.png'></td><td class='tbl1'>";
$heute = "____-".showdate('%m-%d',time());

$result = dbquery("SELECT user_birthdate,user_name,user_id FROM ".$db_prefix."users WHERE user_birthdate like '$heute' ORDER BY user_name ASC");

if (mysql_num_rows($result) == 0) { echo "<div>There are no birthdays today.</div>"; }

while ($Zeile = mysql_fetch_array($result)) {
$age = explode("-", $Zeile['user_birthdate']);
$age = $age['0'];
$age = showdate('%Y', time()) - $age;
echo "<img src='".IMAGES."birthday.gif'>\n<a href='".BASEDIR."profile.php?lookup=".$Zeile['user_id']."'>".$Zeile['user_name']."</a> (".$age.")<br />";
}
echo "</Td></tr></table>";
echo "</td></tr><tr><td class='tbl2'>Board Statistics</td></tr><tr><td class='tbl1'>";

echo "<table><tr><td class='tbl2'><img src='".IMAGES."icons/chart_bar.png'></td><td class='tbl1'>";

echo "Our members have posted a total of <b>".dbrows(dbquery("SELECT * FROM ".DB_PREFIX."threads"))."</b> thread(s) and <b>".dbrows(dbquery("SELECT * FROM ".DB_PREFIX."posts"))."</b> post(s)<br>"; 
$result = dbquery("SELECT * FROM ".DB_PREFIX."posts");
$i = 0;
$i2 = 0;
$i3 = 0;
while($data = dbarray($result)){
$i = $i + str_word_count($data['post_message']);
$i_temp = $chars = preg_split('//', $data['post_message'], -1, PREG_SPLIT_NO_EMPTY);
$i2 = $i2 + count($i_temp);
//$i_temp2 = $chars = preg_split('\n', $data['post_message']);
//$i3 = $i3 + count($i_temp2);
}
echo "<b>".number_format($i)."</b> words have been posted in the forums<br>";
echo "<b>".number_format($i2)."</b> letters have been posted in the forums<Br>";
//echo "<b>".number_format($i3)."</b> paragraphs have been posted in the forums<Br>";
echo "We have <b>".dbrows(dbquery("SELECT * FROM ".DB_PREFIX."users"))."</b> registered member(s).<br>";
echo "The newest member is: <b>";
$data = dbarray(dbquery("SELECT user_id,user_name FROM ".$db_prefix."users WHERE user_status='0' ORDER BY user_joined DESC LIMIT 0,1"));
echo "<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."' class='side'>".$data['user_name']."</a></b><Br>\n";
$data = dbarray(dbquery("SELECT * FROM ".DB_PREFIX."most_online"));
$result = dbrows(dbquery("SELECT * FROM ".DB_PREFIX."online"));
$i = $result;
if($data['most_online'] <= $result) $result = dbquery("UPDATE ".DB_PREFIX."most_online SET most_online = '".$i."', most_date = '".time()."'");
$data = dbarray(dbquery("SELECT * FROM ".DB_PREFIX."most_online"));
echo "The most members online was <b>".$data['most_online']."</b> on ".showdate("longdate", $data['most_date']);
echo "</Td></tr></table>";
echo "</td></tr></table>";
Closetable();

require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>
